export declare class Store {
    kind: string;
    store: any;
    constructor(kind: string);
    add(item: any): void;
    hasDeletionTimestamp(item: any): boolean;
    markToDelete(item: any): void;
    hasBeenMarkedToDelete(item: any): boolean;
    modified(item: any): boolean;
    remove(item: any): void;
    getItem(item: any): any;
}
export declare function itemPath(kind: string, item: any): string;
